明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 2098|回复: 2

[求助]怎么提取多段线的顶点坐标值?

[复制链接]
发表于 2008-4-20 16:28:00 | 显示全部楼层 |阅读模式

请问各位大侠,能否把当前选择的多段线的顶点坐标值提取出来,并保存在记事本里

发表于 2008-4-20 19:46:00 | 显示全部楼层
本帖最后由 作者 于 2008-4-20 19:47:49 编辑

Sub Example_Coordinate()
    ' This example creates a polyline in model space and
    ' queries and changes the coordinate in the first index position.
       
    Dim plineObj As AcadPolyline
    Dim points(0 To 14) As Double
   
    ' Define the 2D polyline points
    points(0) = 1: points(1) = 1: points(2) = 0
    points(3) = 1: points(4) = 2: points(5) = 0
    points(6) = 2: points(7) = 2: points(8) = 0
    points(9) = 3: points(10) = 2: points(11) = 0
    points(12) = 4: points(13) = 4: points(14) = 0
       
    ' Create a lightweight Polyline object in model space
    Set plineObj = ThisDrawing.ModelSpace.AddPolyline(points)
    ZoomAll
   
    ' Find the coordinate in the first index position
    Dim coord As Variant
    coord = plineObj.Coordinate(0)
    MsgBox "The coordinate in the first index position of the polyline is: " & coord(0) & ", " _
        & coord(1) & ", " & coord(2)
   
    ' Change the coordinate
    coord(0) = coord(0) + 1
    plineObj.Coordinate(0) = coord
    plineObj.Update
   
    ' Query the new coordinate
    coord = plineObj.Coordinate(0)
    MsgBox "The coordinate in the first index position of the polyline is now: " & coord(0) & ", " _
        & coord(1) & ", " & coord(2)'这里就是你要的点坐标
   
End Sub

Open "c:\点坐标.txt" For Output As #1

Print #1, "你好"

Print #1, "hello"

Close #1

输出"你好"到txt第一行输出"hello"到txt第二行

 楼主| 发表于 2008-4-21 08:56:00 | 显示全部楼层
太感谢了!!
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-26 08:26 , Processed in 0.163121 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表